DKBSignDocs

API reference

POSTPublic

Login WebAuthn options

/api/v1/login/mfa/webauthn/options

Return WebAuthn assertion options for the open login challenge. Call this before .../webauthn/verify.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
challenge_token
Required
stringChallenge token returned by login.
e.g. "opaque-challenge"

Responses

StatusMeaning
200WebAuthn assertion options
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/v1/login/mfa/webauthn/options' \
  -H 'Content-Type: application/json' \
  -d '{"challenge_token":"opaque-challenge"}'

Response 200

json
{
  "data": {
    "options": {
      "challenge": "…",
      "allowCredentials": []
    }
  }
}